org.jgroups.blocks

## Class LockNotReleasedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.jgroups.blocks.LockNotReleasedException

All Implemented Interfaces:
  java.io.Serializable

    public class LockNotReleasedException
    extends java.lang.Exception

This exception indicated that lock manager refused to release a lock on some resource.

Author:
  Roman Rokytskyy (rrokytskyy@acm.org)
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`LockNotReleasedException()`
`LockNotReleasedException(java.lang.String s)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LockNotReleasedException

    public LockNotReleasedException()

#### LockNotReleasedException

    public LockNotReleasedException(java.lang.String s)